Overview
PATCH
/auth/methods/{method}authEnable or disable an auth method setting, upserting it (admin)
Update fields of a record in methods by method.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- methodpathstring
Request body
application/json · optional
- enabledboolean
Example
{
"enabled": true
}Responses
200
upserted setting
- methodstring
- enabledboolean
Example
{
"method": "string",
"enabled": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/auth/methods/{method}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enabled": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/methods/{method}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"enabled\": true\n}",
});
const data = await res.json();